## -*- coding: utf-8 -*-

__author__ = "gael@pilotsystems.net"
__format__ = "plaintext"
__version__ = "$Id: SharedBaseTool.py 3 2007-11-14 16:18:37Z gael.le-mignot $"

#
# This should be a XMLRPCView, but they don't seem to work in Plone3.
#

from Products.Five import BrowserView

from OFS.interfaces import IObjectManager
from Products.CMFCore.utils import getToolByName
from App.config import getConfiguration

import os, base64

class WorkflowInfo(BrowserView):

    def review_state(self):
        """ returns the review state of the object """
        pw = getToolByName(self.context, "portal_workflow")
        return pw.getInfoFor(self.context, "review_state")

class ZexpData(BrowserView):

    def get_data(self):
        """ returns the zexp data of the object """
        cfg = getConfiguration()
        objId = self.context.getId()
        if IObjectManager.providedBy(self.context):
            self.context.manage_exportObject()
        else:
            self.context.aq_inner.getParentNode().manage_exportObject(objId)
        zexpName = "%s.zexp" % objId
        exportPath = os.path.join(cfg.clienthome, zexpName)
        data = open(exportPath, "r").read()
        os.remove(exportPath)
        return base64.encodestring(data)
